This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 11:07
Elapsed6m51s
Revision
Buildere27e2039-7408-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/f2f8a472-1cc2-480d-ae51-15ae782541ca/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/f2f8a472-1cc2-480d-ae51-15ae782541ca/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 11:07:21.756] process 29 exited with code 0 after 0.0m
I0401 11:07:21.756] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 11:07:21.756] Root: /workspace
I0401 11:07:21.756] cd to /workspace
I0401 11:07:21.756] Configure environment...
I0401 11:07:21.757] Call:  git show -s --format=format:%ct HEAD
W0401 11:07:21.761] fatal: not a git repository (or any of the parent directories): .git
I0401 11:07:21.761] process 42 exited with code 128 after 0.0m
W0401 11:07:21.762] Unable to print commit date for HEAD
I0401 11:07:21.762] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 11:07:22.259] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 11:07:23.162] process 43 exited with code 0 after 0.0m
I0401 11:07:23.162] Call:  gcloud config get-value account
I0401 11:07:24.041] process 56 exited with code 0 after 0.0m
I0401 11:07:24.041] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 11:07:24.041] Start 1245306670460964864 at ...
I0401 11:07:24.044] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_HKo6LL gs://kubernetes-jenkins/logs/metrics-kettle/1245306670460964864/started.json
I0401 11:07:27.206] process 69 exited with code 0 after 0.1m
I0401 11:07:27.207] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 11:07:27.236] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 11:14:02.134] ERROR: table k8s-gubernator:build.all is 28.1 hours old. Max allowed: 6 hours.
I0401 11:14:02.135] ERROR: table k8s-gubernator:build.week is 28.4 hours old. Max allowed: 6 hours.
I0401 11:14:02.136] ERROR: table k8s-gubernator:build.day is 27.9 hours old. Max allowed: 6 hours.
I0401 11:14:02.136] Collected data:
I0401 11:14:02.136] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 11:14:02.137] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 11:14:02.137] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 11:14:02.137] 
W0401 11:14:02.231] Traceback (most recent call last):
... skipping 22 lines ...
W0401 11:14:02.234]     self.send(msg)
W0401 11:14:02.235]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 11:14:02.235]     self.connect()
W0401 11:14:02.235]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 11:14:02.235]     conn = self._new_conn()
W0401 11:14:02.235]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 11:14:02.235]     self, "Failed to establish a new connection: %s" % e
W0401 11:14:02.235] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fec1150c358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 11:14:02.235] 
W0401 11:14:02.236] During handling of the above exception, another exception occurred:
W0401 11:14:02.236] 
W0401 11:14:02.236] Traceback (most recent call last):
W0401 11:14:02.236]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 11:14:02.236]     timeout=timeout
W0401 11:14:02.236]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 11:14:02.236]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 11:14:02.236]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 11:14:02.236]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 11:14:02.237] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fec1150c358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 11:14:02.237] 
W0401 11:14:02.237] During handling of the above exception, another exception occurred:
W0401 11:14:02.237] 
W0401 11:14:02.237] Traceback (most recent call last):
W0401 11:14:02.237]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 11:14:02.237]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 11:14:02.239]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 11:14:02.239]     resp = self.send(prep, **send_kwargs)
W0401 11:14:02.239]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 11:14:02.239]     r = adapter.send(request, **kwargs)
W0401 11:14:02.240]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 11:14:02.240]     raise ConnectionError(e, request=request)
W0401 11:14:02.240] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fec1150c358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 11:14:02.240] Traceback (most recent call last):
W0401 11:14:02.240]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 11:14:02.240]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 11:14:02.240]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 11:14:02.241]     check(*cmd)
W0401 11:14:02.241]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 11:14:02.241]     subprocess.check_call(cmd)
W0401 11:14:02.241]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 11:14:02.241]     raise CalledProcessError(retcode, cmd)
W0401 11:14:02.241] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 11:14:02.241] Command failed
I0401 11:14:02.241] process 251 exited with code 1 after 6.6m
E0401 11:14:02.242] FAIL: metrics-kettle
I0401 11:14:02.242] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 11:14:02.722] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 11:14:03.339] process 255 exited with code 0 after 0.0m
I0401 11:14:03.339] Call:  gcloud config get-value account
I0401 11:14:04.215] process 267 exited with code 0 after 0.0m
I0401 11:14:04.215] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 11:14:04.215] Upload result and artifacts...
I0401 11:14:04.215] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245306670460964864
W0401 11:14:04.216] Missing local artifacts : /workspace/_artifacts
W0401 11:14:04.216] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 11:14:04.216] metadata not found or invalid, init with empty metadata
I0401 11:14:04.216] Call:  git rev-parse HEAD
W0401 11:14:04.222] fatal: not a git repository (or any of the parent directories): .git
E0401 11:14:04.222] Command failed
I0401 11:14:04.222] process 280 exited with code 128 after 0.0m
I0401 11:14:04.222] Call:  git rev-parse HEAD
I0401 11:14:04.227] process 281 exited with code 0 after 0.0m
I0401 11:14:04.227] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 11:14:05.749] process 282 exited with code 0 after 0.0m
I0401 11:14:05.749] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585736004740848'
... skipping 8 lines ...